Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class SystemFieldListMap.SystemKey

    java.lang.Object
      com.sun.mdm.index.survivor.SystemFieldListMap.SystemKey

Enclosing class:
  SystemFieldListMap

public class SystemFieldListMap.SystemKey
extends java.lang.Object

The SystemKey class is an inner class representing a system code and local ID pair mapped to a corresponding list of system fields in an instance of SystemFieldListMap.

Constructor Summary
`SystemFieldListMap.SystemKey(java.lang.String code, java.lang.String id)` Creates a new instance of the SystemKey class.

Method Summary
`java.lang.String` | `getLid()` Retrieves the local ID from an instance of SystemKey.
`java.lang.String` | `getSystemCode()` Retrieves the system code from an instance of SystemKey.
`java.lang.String` | `toString()` Retrieves a string representation of a SystemKey object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemFieldListMap.SystemKey

    public SystemFieldListMap.SystemKey(java.lang.String code,
                                        java.lang.String id)

  Creates a new instance of the SystemKey class.

  Parameters:
    `code` - The system code of the system key.
    `id` - The local ID of the system key.
  Throws:
    None.

Method Detail

### getLid

    public java.lang.String getLid()

  Retrieves the local ID from an instance of SystemKey.

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()

  Retrieves the system code from an instance of SystemKey.

  Parameters:
    None.

  Returns:
    `String` - A system code.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of a SystemKey object.

  Parameters:
    None.

  Returns:
    `String` - A string representation of the system key.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.